al_get_mouse_state(3)

NAME

al_get_mouse_state - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_get_mouse_state(ALLEGRO_MOUSE_STATE *ret_state)

DESCRIPTION

Save the state of the mouse specified at the time the function is called into the given structure.

Example:

    ALLEGRO_MOUSE_STATE state;
    al_get_mouse_state(&state);
    if (state.buttons & 1) {
        /* Primary (e.g. left) mouse button is held. */
        printf("Mouse position: (%d, %d)\n", state.x, state.y);
    }
    if (state.buttons & 2) {
        /* Secondary (e.g. right) mouse button is held. */
    }
    if (state.buttons & 4) {
        /* Tertiary (e.g. middle) mouse button is held. */
    }

SEE ALSO

ALLEGRO_MOUSE_STATE(3), al_get_mouse_state_axis(3), al_mouse_button_down(3)